
QGIS Application - Bug report #6726

Query builder quotes field names with spaces twice; resulting query fails

2012-11-18 04:38 PM - Alister Hood

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15890

Description

- Add the attached layer.

- Open the layer's attribute table and click the advanced search button.

- Double-click on each field name to insert it in the search query.  They will be inserted as "example" in quotes and "example 1" in two sets

of quotes!  I'm not sure if the quotes are needed in the first case, but they certainly aren't a problem.  But in the second case there should

only be one set of quotes.  If you run a query with the two sets of quotes you get an error message: "Parsing error: syntax error,

unexpected COLUMN_REF, expecting $end".

This is a regression since 1.8

Associated revisions

Revision 66ca8f42 - 2013-01-06 06:01 PM - Jürgen Fischer

fix #6726

History

#1 - 2012-12-25 06:03 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Status changed from Open to Feedback

I'm pretty sure that the quotes are added to escape the space in the second column name, anyway on the latest master this do not seems to cause the

query builder to fail. Please check and report back.

#2 - 2012-12-25 06:09 AM - Giovanni Manghi

I'm sorry you are right, I was testing on 1.8 and not master. The behavior is confirmed and it causes the query to fail.

#3 - 2012-12-28 12:10 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2013-01-06 09:02 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"66ca8f421a39e57c3f2b3159cf6a3059d6771303".
Files

Book1.csv 34 Bytes 2012-11-18 Alister Hood
